"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
var core_1 = require("@angular/core");
var DcEventService = /** @class */ (function () {
    function DcEventService() {
        this._eventBus = new rxjs_1.Subject();
    }
    DcEventService.prototype.broadcast = function (key, data) {
        this._eventBus.next({ key: key, data: data });
    };
    DcEventService.prototype.on = function (key) {
        return this._eventBus.asObservable().filter(function (event) { return event.key === key; }).map(function (event) { return event.data; });
    };
    DcEventService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [])
    ], DcEventService);
    return DcEventService;
}());
exports.DcEventService = DcEventService;
//# sourceMappingURL=broadcast.service.js.map