import { EventEmitter, Renderer } from '@angular/core';
import { DcEventService } from '../broadcast/broadcast.service';
export declare class HeaderComponent {
    private renderer;
    private broadcast;
    userInfo: any;
    leftMenuStatus: boolean;
    toggleLeftMenuEvent: EventEmitter<{}>;
    searchResult: EventEmitter<{}>;
    userMenu: EventEmitter<{}>;
    isOpen: boolean;
    keyword: string;
    toggleUserMenu: boolean;
    userMenuData: {
        id: number;
        text: string;
        url: string;
    }[];
    constructor(renderer: Renderer, broadcast: DcEventService);
    toggleUserMenuEvent(ev: any): void;
    onDocumentClick(ev: any): void;
    sendToggleLeftMenu(): void;
    sendSearchResult(): void;
    sendUserMenu(menu: any): void;
}
