"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var SelectComponent = /** @class */ (function () {
    function SelectComponent() {
    }
    SelectComponent.prototype.ngOnInit = function () {
        if (!this.options) {
            this.options = [
                {
                    id: 1,
                    name: 'a1',
                }, {
                    id: 2,
                    name: 'a2'
                }, {
                    id: 3,
                    name: 'a3'
                }, {
                    id: 4,
                    name: 'a4'
                }
            ];
        }
        if (!this.defaultSelect) {
            this.defaultSelect = this.options[0];
        }
    };
    SelectComponent.prototype.onDocumentClick = function (ev) {
        this.moreOption.nativeElement.style.display = 'none';
    };
    SelectComponent.prototype.showOption = function (ev) {
        ev.stopPropagation();
        ev.preventDefault();
        this.moreOption.nativeElement.style.display = 'block';
    };
    SelectComponent.prototype.changeItem = function (item) {
        if (this.defaultSelect && this.defaultSelect.id === item.id) {
            return;
        }
        this.defaultSelect = item;
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], SelectComponent.prototype, "options", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], SelectComponent.prototype, "defaultSelect", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], SelectComponent.prototype, "isReadonly", void 0);
    __decorate([
        core_1.ViewChild('moreOption'),
        __metadata("design:type", core_1.ElementRef)
    ], SelectComponent.prototype, "moreOption", void 0);
    __decorate([
        core_1.HostListener('document:click', ['$event']),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [Object]),
        __metadata("design:returntype", void 0)
    ], SelectComponent.prototype, "onDocumentClick", null);
    SelectComponent = __decorate([
        core_1.Component({
            selector: 'dc-select',
            template: "\n  <div class=\"dc-select-outer\">\n  <div class=\"dc-select-input\">\n    <input [(ngModel)]=\"defaultSelect.name\" [readonly]=\"isReadonly\">\n    <span (click)=\"showOption($event)\">show drop</span>\n  </div>\n  <ul class=\"dc-select-drop\" #moreOption>\n    <li *ngFor=\"let o of options\" (click)=\"changeItem(o)\">{{o.name}}</li>\n  </ul>\n</div>\n  ",
            styles: [
                '.dc-select-outer{' +
                    'position: relative;}',
                '.dc-select-input{' +
                    'height: 30px;}',
                '.dc-select-drop{' +
                    'display: none;' +
                    'position: absolute;' +
                    'left: 0;' +
                    'top: 30px;' +
                    'background-color: #fff;' +
                    'border: 1px solid #ccc;' +
                    'box-shadow: 0 1px 0.125rem rgba(115, 115, 115, 0.25);' +
                    'z-index: 10;}'
            ]
        }),
        __metadata("design:paramtypes", [])
    ], SelectComponent);
    return SelectComponent;
}());
exports.SelectComponent = SelectComponent;
//# sourceMappingURL=select.component.js.map