"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var TableColumnComponent = /** @class */ (function () {
    function TableColumnComponent() {
    }
    TableColumnComponent.prototype.ngOnInit = function () {
        if (this.header.field == this.field) {
            this.show = true;
        }
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], TableColumnComponent.prototype, "header", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], TableColumnComponent.prototype, "data", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], TableColumnComponent.prototype, "width", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], TableColumnComponent.prototype, "field", void 0);
    TableColumnComponent = __decorate([
        core_1.Component({
            selector: 'dc-table-column',
            template: "\n  <div *ngIf=\"show\" class=\"table-font\" [style.width]=\"width\">\n    <ng-content></ng-content>\n  </div>\n  ",
            styles: [
                '.table-font {' +
                    'font-size: 12px;' +
                    'line-height: 12px;' +
                    'white-space: nowrap;' +
                    'overflow: hidden;' +
                    'text-overflow: ellipsis;}',
            ]
        }),
        __metadata("design:paramtypes", [])
    ], TableColumnComponent);
    return TableColumnComponent;
}());
exports.TableColumnComponent = TableColumnComponent;
//# sourceMappingURL=column.component.js.map