import { EventEmitter, OnInit, TemplateRef, ElementRef, OnDestroy, Renderer } from '@angular/core';
import { TableColumnComponent } from './column.component';
export declare class TableComponent implements OnInit, OnDestroy {
    private renderer;
    template: TemplateRef<TableColumnComponent>;
    filterTemplate: any;
    tableContainer: ElementRef;
    overflowBox: ElementRef;
    headers: Array<any>;
    _datas: any;
    datas: any;
    checkBox: boolean;
    sortEvent: EventEmitter<number>;
    checkEvent: EventEmitter<any>;
    nowSort: any;
    allSelect: boolean;
    checks: Array<boolean>;
    checks_data: any[];
    currentField: any;
    scrollHeight: string;
    initWidth: any;
    resizeEvent: any;
    scrollBarWidth: number;
    constructor(renderer: Renderer);
    ngOnInit(): void;
    ngOnDestroy(): void;
    setWidth(width: any): any;
    setDivWidth(): void;
    private initCheck();
    allSelectCheck(): void;
    checkSelect(): void;
    checkOption(event: any, k: any, header: any): void;
    private sendCheckOption(header);
    private sendCheckEvent();
    sort(header: any): void;
    showFilter: any[];
    showFilterBox(event: any, header: any): void;
    hideFilter(): void;
    clickFilter(event: any, header: any): void;
    onDocumentClick($event: any): void;
}
