"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var draw_component_1 = require("./draw.component");
var DrawService = /** @class */ (function () {
    function DrawService(resolver, applicationRef, injector) {
        this.resolver = resolver;
        this.applicationRef = applicationRef;
        this.injector = injector;
    }
    DrawService.prototype.open = function (data) {
        var _this = this;
        if (this.component != null) {
            return;
        }
        this.component = this.resolver.resolveComponentFactory(draw_component_1.DrawComponent);
        var node = document.body.insertBefore(document.createElement(this.component.selector), document.body.firstChild);
        this.ref = this.component.create(this.injector, [], node);
        var instance = this.ref.instance;
        instance.injectComponet = data.component;
        instance.data = data.data;
        this.applicationRef.attachView(this.ref.hostView);
        this.promise = new Promise(function (resolve) {
            instance.closeResolve = resolve;
        });
        this.promise.then(function (r) {
            _this.ref.destroy();
            _this.component = null;
            _this.ref = null;
            _this.promise = null;
        });
    };
    DrawService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [core_1.ComponentFactoryResolver, core_1.ApplicationRef, core_1.Injector])
    ], DrawService);
    return DrawService;
}());
exports.DrawService = DrawService;
//# sourceMappingURL=draw.service.js.map