"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var http_1 = require("@angular/http");
require("rxjs/add/operator/map");
var HttpService = /** @class */ (function () {
    function HttpService(http) {
        this.http = http;
        this.passHeader = new http_1.Headers();
        this.passHeader.append('Access-Control-Allow-Credentials', 'true');
        this.passHeader.append('Access-Control-Allow-Origin', '*');
        this.passHeader.append('Access-Control-Allow-Methods', 'PUT,POST,GET,DELETE,OPTIONS');
        this.passHeader.append('Content-Type', 'application/json;charset=utf-8');
    }
    HttpService.prototype.getData = function (conf) {
        return this.requestFn('get', conf);
    };
    HttpService.prototype.postData = function (conf) {
        return this.requestFn('post', conf);
    };
    HttpService.prototype.requestFn = function (method, conf) {
        var url = conf.url || 'http://192.168.94.166:8443/v1/user/whoami?name=jfdf';
        var data = conf.data;
        var options = {
            headers: this.passHeader,
            search: conf.search || {},
        };
        if (!data) {
            data = options;
            options = null;
        }
        return this.http[method](url, data, options).map(function (responese) {
            var res = responese.json();
            if (!res || res.status !== 'success') {
                throw res;
            }
            return res;
        });
    };
    HttpService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_1.Http])
    ], HttpService);
    return HttpService;
}());
exports.HttpService = HttpService;
//# sourceMappingURL=http.service.js.map