"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var LeftSideComponent = /** @class */ (function () {
    function LeftSideComponent() {
        this.toogleSide = new core_1.EventEmitter();
        this.sideShow = true;
    }
    LeftSideComponent.prototype.ngOnInit = function () {
    };
    LeftSideComponent.prototype.toogleLeftSide = function () {
        this.sideShow = !this.sideShow;
        this.toogleSide.emit(this.sideShow);
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], LeftSideComponent.prototype, "item", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", Object)
    ], LeftSideComponent.prototype, "toogleSide", void 0);
    LeftSideComponent = __decorate([
        core_1.Component({
            selector: 'app-left-side',
            template: "<div [class.hideSide]=\"!sideShow\">\n  <div>\n    <button (click)=\"toogleLeftSide()\">\u70B9\u6211\u9690\u85CFleft side</button>\n  </div>\n  <ul>\n    <li *ngFor=\"let d of item\">\n      <a class=\"testcss\" [routerLink]=\"[d.routLink]\">\n        {{d.name}}\n      </a>\n      <ul *ngIf=\"d.children\">\n        <li *ngFor=\"let dc of d.children\">\n          <a [routerLink]=\"[dc.routLink]\">\n            {{dc.name}}\n          </a>\n        </li>\n      </ul>\n    </li>\n  </ul>\n</div>\n",
            styles: [
                '.testcss {background: url("../../assets/img/gaojing.png") no-repeat left center transparent;padding-left: 20px;}',
                '.hideSide {width: 20px;overflow: hidden;}'
            ]
        }),
        __metadata("design:paramtypes", [])
    ], LeftSideComponent);
    return LeftSideComponent;
}());
exports.LeftSideComponent = LeftSideComponent;
//# sourceMappingURL=left.side.component.js.map