"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var forms_1 = require("@angular/forms");
var router_1 = require("@angular/router");
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var leftmenu_component_1 = require("./leftmenu/leftmenu.component");
var draw_service_1 = require("./draw/draw.service");
var draw_component_1 = require("./draw/draw.component");
var pagination_component_1 = require("./pagination/pagination.component");
var header_component_1 = require("./header/header.component");
var left_side_component_1 = require("./left-side/left.side.component");
var http_service_1 = require("./http/http.service");
var http_1 = require("@angular/http");
var tab_component_1 = require("./tab/tab.component");
var tab_directive_1 = require("./tab/tab.directive");
var auto_component_component_1 = require("./auto-component/auto.component.component");
var pinyin_service_1 = require("./pinyin.service");
var select_component_1 = require("./select/select.component");
var ng_bootstrap_1 = require("@ng-bootstrap/ng-bootstrap");
var button_component_1 = require("./button/button.component");
var tree_component_1 = require("./tree/tree.component");
var node_component_1 = require("./tree/node.component");
var date_picker_component_1 = require("./date-picker/date.picker.component");
var table_component_1 = require("./table/table.component");
var column_component_1 = require("./table/column.component");
var modal_tip_component_1 = require("./modal-tip/modal.tip.component");
var broadcast_service_1 = require("./broadcast/broadcast.service");
var document_ref_service_1 = require("./document-ref/document-ref.service");
var modal_service_1 = require("./modal/modal.service");
var modal_component_1 = require("./modal/modal.component");
var modal_directive_1 = require("./modal/modal.directive");
var PluginModule = /** @class */ (function () {
    function PluginModule() {
    }
    PluginModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule,
                forms_1.FormsModule,
                router_1.RouterModule,
                ng_bootstrap_1.NgbModule,
                http_1.HttpModule
            ],
            declarations: [
                leftmenu_component_1.LeftMenuComponent,
                draw_component_1.DrawComponent,
                pagination_component_1.PaginationComponent,
                header_component_1.HeaderComponent,
                left_side_component_1.LeftSideComponent,
                tab_component_1.TabComponent,
                auto_component_component_1.AutoCompleteComponent,
                tab_component_1.TabComponent,
                tab_directive_1.TabContentDirective,
                select_component_1.SelectComponent,
                button_component_1.ButtonComponent,
                tree_component_1.TreeComponent,
                date_picker_component_1.DatePickerComponent,
                node_component_1.NodeComponent,
                table_component_1.TableComponent,
                column_component_1.TableColumnComponent,
                modal_tip_component_1.ModalTipComponent,
                modal_component_1.ModalComponent,
                modal_directive_1.ModalContainerDirective
            ],
            exports: [
                leftmenu_component_1.LeftMenuComponent,
                pagination_component_1.PaginationComponent,
                header_component_1.HeaderComponent,
                left_side_component_1.LeftSideComponent,
                tab_component_1.TabComponent,
                auto_component_component_1.AutoCompleteComponent,
                tab_component_1.TabComponent,
                select_component_1.SelectComponent,
                button_component_1.ButtonComponent,
                tree_component_1.TreeComponent,
                date_picker_component_1.DatePickerComponent,
                node_component_1.NodeComponent,
                table_component_1.TableComponent,
                column_component_1.TableColumnComponent,
                modal_tip_component_1.ModalTipComponent,
                modal_component_1.ModalComponent
            ],
            providers: [
                draw_service_1.DrawService,
                http_service_1.HttpService,
                pinyin_service_1.PinyinService,
                modal_service_1.ModalService,
                broadcast_service_1.DcEventService,
                document_ref_service_1.DocumentRef
            ],
            entryComponents: [
                draw_component_1.DrawComponent,
                modal_tip_component_1.ModalTipComponent,
                modal_component_1.ModalComponent
            ],
        })
    ], PluginModule);
    return PluginModule;
}());
exports.PluginModule = PluginModule;
//# sourceMappingURL=plugin.module.js.map